Subject: [bug#45573] [PATCH] Correct freecad runtime errors

From: Ekaitz Zarraga <[email-masked]>
Date: Mon, 04 Jan 2021 12:01:54 +0000

Hi Leo,

‐‐‐‐‐‐‐ Original Message ‐‐‐‐‐‐‐
On Monday, January 4, 2021 1:13 AM, Leo Famulari <[email-masked]> wrote:

>
> > -               ;; Delete references to packaging tool cpack
> >
> >
> > -               (substitute* "CMakeLists.txt"
> >
> >
> > -                 ((".*cpack.d.*") ""))
> >
> >
> > -               #t))))
> >
> >
>
> I still did not understand the reason for this substitution. I tried
> building without it and found that the build is broken, so I added this
> info to the comment.
>
> Can you report it upstream? It seems like something that all
> distributors would benefit from.

I think it's related with packaging. But I'm not sure neither.
Guys at Nix do the same and remove that line. I tried to leave it
and it doesn't work. I'll try to report upstream.

> > Subject: [PATCH 2/6] gnu: Add soqt.
> >
> >     * gnu/packages/qt.scm (soqt): New variable.
> >
>
> I pushed these first two patches as
> a5f13705cb9261ab66bdf73d1fb4a832714feb31
>
> Comments on the others to follow...

Thanks!